import { ExtractPropTypes, PropType, InjectionKey, Ref, CSSProperties } from 'vue';
import type { ExtractPublicPropTypes } from '../../_utils';
import { exposedDialogEnvProps } from './DialogEnvironment';
export declare type DialogOptions = Omit<Partial<ExtractPropTypes<typeof exposedDialogEnvProps>>, 'internalStyle'> & {
    style?: string | CSSProperties;
};
export declare type DialogReactive = {
    readonly key: string;
    readonly destroy: () => void;
} & DialogOptions;
export interface DialogApiInjection {
    destroyAll: () => void;
    create: (options: DialogOptions) => DialogReactive;
    success: (options: DialogOptions) => DialogReactive;
    warning: (options: DialogOptions) => DialogReactive;
    error: (options: DialogOptions) => DialogReactive;
    info: (options: DialogOptions) => DialogReactive;
}
export declare const dialogApiInjectionKey: InjectionKey<DialogApiInjection>;
export interface DialogProviderInjection {
    clickedRef: Ref<boolean>;
    clickPositionRef: Ref<{
        x: number;
        y: number;
    } | null>;
}
export declare const dialogProviderInjectionKey: InjectionKey<DialogProviderInjection>;
interface DialogInst {
    hide: () => void;
}
export declare type DialogProviderInst = DialogApiInjection;
declare const dialogProviderProps: {
    injectionKey: StringConstructor;
    to: PropType<string | HTMLElement>;
};
export declare type DialogProviderProps = ExtractPublicPropTypes<typeof dialogProviderProps>;
declare const _default: import("vue").DefineComponent<{
    injectionKey: StringConstructor;
    to: PropType<string | HTMLElement>;
}, {
    dialogList: Ref<{
        readonly key: string;
        readonly destroy: () => void;
        readonly type?: "default" | "error" | "info" | "success" | "warning" | undefined;
        readonly content?: string | (() => import("vue").VNodeChild) | undefined;
        readonly icon?: (() => import("vue").VNodeChild) | undefined;
        readonly title?: string | (() => import("vue").VNodeChild) | undefined;
        readonly action?: (() => import("vue").VNodeChild) | undefined;
        readonly bordered?: boolean | undefined;
        readonly loading?: boolean | undefined;
        readonly onClose?: (() => unknown) | undefined;
        readonly closable?: boolean | undefined;
        readonly showIcon?: boolean | undefined;
        readonly iconPlacement?: import("./interface").IconPlacement | undefined;
        readonly negativeText?: string | undefined;
        readonly positiveText?: string | undefined;
        readonly onPositiveClick?: ((e: MouseEvent) => unknown) | undefined;
        readonly onNegativeClick?: ((e: MouseEvent) => unknown) | undefined;
        readonly onMaskClick?: ((e: MouseEvent) => void) | undefined;
        readonly maskClosable?: boolean | undefined;
        style?: any;
    }[]>;
    dialogInstRefs: Record<string, DialogInst>;
    handleAfterLeave: (key: String) => void;
    create: (options?: DialogOptions) => DialogReactive;
    destroyAll: () => void;
    info: (options: DialogOptions) => DialogReactive;
    success: (options: DialogOptions) => DialogReactive;
    warning: (options: DialogOptions) => DialogReactive;
    error: (options: DialogOptions) => DialogReactive;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    injectionKey?: unknown;
    to?: unknown;
} & {} & {
    to?: string | HTMLElement | undefined;
    injectionKey?: string | undefined;
}>, {}>;
export default _default;
